Account Balance

This callback is triggered at a virtual account level every time there's a change in the balance

🙌

Important Note

Please use only Staging Credentials on each API Reference page to test the APIs directly from our Documentation.

API Endpoints

EnvironmentEndpoint
Staging / Sandboxhttps://your.custom.endpoint.com
Productionhttps://your.custom.endpoint.com

Via this callback, it is possible to get realtime updates to the account balances.

Salient points:

  • 3 times maximum retry, post which the explicit Get account balance call has to be made for obtaining the current account balance.
  • It is mandatory to adhere to the response structure as specified in the examples.
  • It is recommended that you whitelist Decentro's originating IP.
  • It is recommended that you share your auth of preference with us, which will then be propagated as part of the callback request.
  • The type parameter can either be credit or debit.
  • The keys in the request will be in snake/ camel case based on the company configuration (defaulting to camel case if nothing opted). Response, however, has to be in snake case always.
  • The keys payeeAccountNumber, payeeAccountIfsc, payeeVpa, payerAccountNumber, payerAccountIfsc, payerVpa,payerName, payerMobileNumber will be present when the corresponding values are available, i.e. they are optional.
Body Params
int32
Defaults to 1

The callback attempt from Decentro when triggered to the platform's endpoint.

date-time

The timestamp when Decentro triggered the callback to the platform.

string

Decentro's unique ID for the callback attempt.

string

Decentro's unique ID for the 1st callback attempt.

string

The virtual account number against which the callback is being triggered.

float
Defaults to 100000

The updated balance of the virtual account after the transaction.

string
Defaults to Payment

The associated transaction related message leading to change in balance.

string

The type of transaction that led of change in the balance.

string
Defaults to RTGS

The type of transaction which resulted in change in balance. Values: RTGS, NEFT, IMPS, UPI

float
Defaults to 10000

The transaction amount that resulted in change in balance.

string

The unique ID passed by Decentro if the transaction was initiated through Decentro.

string
Defaults to Decentro

The name of the beneficiary who's receiving the funds. Can be the platform or the beneficiary.

string

The virtual account number against which the callback is being triggered.

string

The IFSC code of the virtual against which the callback is being triggered.

string
Defaults to sample@upi

The VPA (UPI ID) of the payer who undertook a transaction. Only if the transaction is UPI collection.

string
Defaults to 1234567890

The unique transaction reference number received by Decentro from its bank partner.

string
Defaults to MAIN

The type of transaction against which the callback is being triggered. Values - MAIN, COMMISSION, MAIN REVERSAL, COMMISSION REVERSAL

string
Defaults to Decentro

The name of the payer from whom the transaction originated. Can be the platform or their user.

Headers
string

The header token shared by you should not contain any unsanitized values like @ # $ % ^ & * ! ; : ' " ~ ` ? = + ) (

Responses

Language
Response
Click Try It! to start a request and see the response here! Or choose an example:
application/json